<template>
  <div class="column full-height">
      <q-scroll-area class="col" :thumb-style="{right: '0', borderRadius: '4px', background: '#d12', opacity: .6, width: '10px'}">
        <q-tabs inverted>
          <q-route-tab
            v-for="{ key, label } in editors"
            :key="key"
            :name="key"
            :label="label"
            :to="{name: 'reporting-configurator-editor', params: {editor: key}}"
            slot="title"
          />
        </q-tabs>
        <div class="q-mt-md q-px-md">
          <router-view/>
        </div>
      </q-scroll-area>
    </div>
</template>

<script>
    export default {
      name: 'dataConfigurator',
      data() {
        return {
          editors: [
            { key: 'collections', label: 'Collections' },
            { key: 'menu', label: 'Menu' },
          ],
        };
      },
    };
</script>
